PATCH
/
api
/
process-documents
/
{id}
Atualizacao parcial de documento de processo
curl --request PATCH \
  --url https://suite.sisqualis.com.br/api/process-documents/{id}/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "process_area": "<string>",
  "category": "<string>",
  "owner": "<string>",
  "status": "<string>",
  "version": "<string>",
  "review_cycle_days": 123,
  "last_review_at": "2023-12-25",
  "tags": [
    "<string>"
  ],
  "description": "<string>"
}
'
{
  "id": 123,
  "code": "<string>",
  "title": "<string>",
  "process_area": "<string>",
  "category": "<string>",
  "status": "<string>",
  "version": "<string>",
  "owner": "<string>",
  "review_cycle_days": 123,
  "last_review_at": "2023-12-25",
  "next_review_at": "2023-12-25",
  "tags": [
    "<string>"
  ],
  "description": "<string>",
  "file": "<string>",
  "file_url": "<string>",
  "file_name": "<string>",
  "file_type": "<string>",
  "file_size": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use: Token <seu_token>

Path Parameters

id
integer
required

Body

title
string
required
process_area
string
required
category
string
required
owner
string
required
status
string
version
string
review_cycle_days
integer
last_review_at
string<date> | null
tags
string[]
description
string

Response

200 - application/json

Documento atualizado

id
integer
code
string
title
string
process_area
string
category
string
status
string
version
string
owner
string
review_cycle_days
integer
last_review_at
string<date> | null
next_review_at
string<date> | null
tags
string[]
description
string
file
string | null
file_url
string | null
file_name
string | null
file_type
string | null
file_size
integer | null
created_at
string<date-time>
updated_at
string<date-time>